package com.example.hello.comp;

import java.util.List;

import org.svvrl.goal.cmd.AbstractCommandExtension;
import org.svvrl.goal.cmd.CommandExpression;
import org.svvrl.goal.cmd.ComplementCommand;
import org.svvrl.goal.cmd.Expression;
import org.svvrl.goal.core.aut.fsa.FSA;
import org.svvrl.goal.core.comp.ComplementConstruction;

public class HelloComplementExtension extends AbstractCommandExtension {

	class HelloComplementCommand extends ComplementCommand {

		public HelloComplementCommand(List<Expression> args) {
			super(args);
		}

		@Override
		public ComplementConstruction<?, ?> getComplementConstruction(FSA aut) {
			return new HelloConstruction(aut);
		}

	}

	@Override
	public String getHelp() {
		return "";
	}

	@Override
	public CommandExpression parse(List<Expression> args)
			throws IllegalArgumentException {
		return new HelloComplementCommand(args);
	}

}